{
  flake.modules.homeManager.ashell =
    { config
    , lib
    , ...
    }: {
      programs.ashell = {
        enable = true;
        systemd.enable = true;

        settings = {
          modules = {
            left = [ "Workspaces" ];
            center = [ "Clock" ];
            right = [ "Tray" [ "SystemInfo" "Settings" ] ];
          };

          system_info.indicators = [ "Cpu" "Memory" "Temperature" "DownloadSpeed" "UploadSpeed" ];

          settings.indicators = [ "Battery" ];

          appearance = lib.mkIf config.catppuccin.enable {
            success_color = "#a6e3a1";
            text_color = "#cdd6f4";
            workspace_colors = [ "#fab387" "#b4befe" "#cba6f7" ];

            primary_color = {
              base = "#fab387";
              text = "#1e1e2e";
            };
            danger_color = {
              base = "#f38ba8";
              weak = "#f9e2af";
            };
            background_color = {
              base = "#1e1e2e";
              weak = "#313244";
              strong = "#45475a";
            };
            secondary_color = {
              base = "#11111b";
              strong = "#1b1b25";
            };
          };
        };
      };
    };
}
